Skip to navigation

Retrieve Card Transactions / Retrieve Account Transactions

Returns the transactions of a Virtual Card. This service returns an array of up to 500 transactions for a Virtual Card ordered by date from the most-recent to the oldest.

Returns the transactions of a Card Account. This service returns an array of up to 500 transactions by date from the most-recent to the oldest.

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Query parameters

cardIdstringOptional<=19 characters
A unique ID assigned to the Card.
pageSizedoubleOptional
The number of transactions you would like to be shown per page of the UI. The default value is 500. The maximum page size limit is 500.
pageNumberdoubleOptional
The current page number. The default value is 1.
startDatestringOptional

The earliest date of the period for which transactions are requested (formatted as YYYY-MM-DD). The response will be inclusive of transactions on the startDate. When using this field, the endDate field is required. The value of startDate must be less than 18 months ago and no more than 31 days before the endDate. If no date parameters are sent, the most-recent 31 days of data will be returned.

endDatestringOptional

The latest date of the period for which transactions are requested (formatted as YYYY-MM-DD). The response will be inclusive of transactions on the endDate. When using this field, the startDate field is required. The value of endDate must be less than 18 months ago and no more than 31 days after the startDate. If no date parameters are sent, the most-recent 31 days of data will be returned.

accountIdstringOptional<=36 characters
A unique ID that is created for the Account.

Response headers

Content-TypestringOptional

application/json

Request-IdstringOptional
The unique ID for the API request.

Response

Successful operation
paginationDetailsobject
The information about the pages and their navigation.
transactionslist of objects
The list of transactions details.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error